Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
Benefit Disbursement Action
Create a benefit disbursement for an eligible benefit assignment. For
example, create a benefit disbursement request to offer monetary benefits through direct
cash assistance or subsidies.
This action is available in API version 57.0 and later.
Special Access Rules
To access the Benefit Disbursement action, your org must have the Program and Benefit Management Access and Benefit Disbursement Access permission set licenses.
Supported REST HTTP Methods
- URI
- /services/data/v57.0/actions/standard/createBenefitDisbursement
- Formats
- JSON
- HTTP Methods
- GET, POST
- Authentication
- Authorization: Bearer token
Inputs
| Input | Details |
|---|---|
| benefitAssignmentId |
|
| defaultApprovalStatus |
|
| disbursementType |
|
| isPreview |
|
Outputs
| Output | Details |
|---|---|
| benefitDisbursementIaOutput |
|
Example
- GET
-
This example shows how to get the details of the Benefit Disbursement action type.
1curl --include --request GET \ 2--header "Authorization: Authorization: Bearer 00DR...xyz" \ 3--header "Content-Type: application/json" \ 4"https://instance.salesforce.com/services/data/v57.0/actions/standard/createBenefitDisbursement" - POST
-
Here’s a request for the Benefit Disbursement action.
1{ 2 "inputs":[{ 3 "benefitAssignmentId" : "0nDxx0000000001EAA", 4 “isPreview” : true, 5 "disbursementType" : "SINGLE", 6 "defaultApprovalStatus" : "Approved" 7 }] 8}Here’s a response for the Benefit Disbursement action.1[ 2 { 3 "actionName" : "createBenefitDisbursement", 4 "errors" : null, 5 "isSuccess" : true, 6 "outputValues" : { 7 "resultantDisbursements": { 8 "benefitAssignmentId": "0nDxx0000000001EAA", 9 "benefitDisbursements": [{ 10 "approvalStatus": "Approved", 11 "benefitDisbursementAdjs": [{ 12 "adjustmentAmount": 100.0, 13 "adjustmentReason": "sample reason", 14 "benefitAssignmentAdjustmentId": "baaId", 15 "id": "bdAdj" 16 }], 17 "entitlementAmount": 800.0, 18 "id": "bdAdj", 19 "paymentStatus": null 20 }], 21 "previewMode": true 22 } 23 } 24 }]